Use case 5: Uzupełnienie automatu
=====================

**Aktor podstawowy:** Magazynier


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

- Magazynier: Oczekuje ,że nie będzie musiał ręcznie wpisywać stanów ilości produktów.

- Właściciel automatu: Oczekuje, że automat zostanie całkowicie uzupełniony

Warunki wstępne:
----------------

-Brak jednego z produktów
-Magazynier otrzymał powiadomienie o braku produktu.
-Automat jest sprawny

Warunki końcowe:
----------------

-Automat zostaje uzupełniony.

Scenariusz główny (ścieżka podstawowa):
---------------------------------------

  1. Magazynier otwiera automat korzystając ze swojego identyfikatora.
  2. Magazynier uzupełnia automat wkładając produkty na odpowienie półki.
  3. W czasie uzupełniania automat nie może wydawać produktów.
  4. Magazynier zamyka automat zatrzaskując drzwi.
  5. Automat skanuje ilość produktów i ponownie może wydawać produkty.

Rozszerzenia (ścieżki alternatywne):
------------------------------------

 1a. Magazynier źle przyłożył identyfikator.
	
	1. Skaner wyświetla komunikat "przyłóż ponownie kartę".

	2. System przechodzi do kroku 1 scenariusza głównego.

 1b. System zawiesza się i drzwi się nie otwierają.
	
	1. System wydaje sygnał dźwiękowy o restarcie i resetuje się.

	2. System przechodzi do kroku 1 scenariusza głównego.

 2a-4a System zawiesza się.

	1. System wydaje sygnał dźwiękowy o restarcie i prosi o zamknięci drzwi.

	2. Magazyier zamyka drzwi.

	3. System sprawdza czy drzwi są zamknięte i resetuje się.

	4. System przechodzi do kroku 1 scenariusza głównego.
	
 4b. Drzwi nie zostały domknięte dłużej niż 5min.

	1. Automat nadaje charakterystyczny sygnał dźwiękowy

	2. System przechodzi do kroku 4 scenariusza głównego.

 5a. Automat podczas skanowania wykrył źle włożony produkt.

	1. Automat nadaje sygnał dźwiękowy "Źle włożony produkt"

	2. Magazynier otwiera automat i odpowiednio układa produkty.

	3. System przechodzi do kroku 4 scenariusza głównego.

 5b. System zawiesza się.

	1. System wydaje sygnał dźwiękowy o restarcie i resetuje się.

	2. System przechodzi do kroku 5 scenariusza głównego.

Wymagania specjalne:
--------------------

 - Możliwość interfejsu wielojęzcznego.


Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------

 *a. System dźwiękowy

 1a. Czytnik indentyfikatorów

 5a. Automat posiada skanner, który stwierdza ilość produktów.

Kwestie otwarte:
----------------

  - Obsługa automatu przez osoby niewidome.